Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.definition
Class XmlParser

    java.lang.Object
      org.codehaus.aspectwerkz.definition.XmlParser

    public class XmlParser

extends Object

Parses the XML definition file using `dom4j`.

Author:
  Jonas Bonr

Constructor Summary
`XmlParser()`

Method Summary
`static org.dom4j.Document` | `createDocument(String string)` Creates a DOM document.
`static org.dom4j.Document` | `createDocument(URL url)` Creates a DOM document.
`static org.dom4j.Document` | `mergeDocuments(org.dom4j.Document document1, org.dom4j.Document document2)` Merges two DOM documents.
`static Set` | `parseNoCache(ClassLoader loader, URL url)` Parses the XML definition file not using the cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlParser

    public XmlParser()

Method Detail

### parseNoCache

    public static Set parseNoCache(ClassLoader loader,
                                   URL url)

  Parses the XML definition file not using the cache.

  Parameters:
    `loader` - the current class loader
    `url` - the URL to the definition file
  Returns:
    the definition object

### mergeDocuments

    public static org.dom4j.Document mergeDocuments(org.dom4j.Document document1,
                                                    org.dom4j.Document document2)

  Merges two DOM documents.

  Parameters:
    `document1` - the first document
    `document2` - the second document
  Returns:
    the definition merged document

### createDocument

    public static org.dom4j.Document createDocument(URL url)
                                             throws org.dom4j.DocumentException

  Creates a DOM document.

  Parameters:
    `url` - the URL to the file containing the XML
  Returns:
    the DOM document
  Throws:
    `org.dom4j.DocumentException`

### createDocument

    public static org.dom4j.Document createDocument(String string)
                                             throws org.dom4j.DocumentException

  Creates a DOM document.

  Parameters:
    `string` - the string containing the XML
  Returns:
    the DOM document
  Throws:
    `org.dom4j.DocumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.